require 'sketchup.rb'
require 'extensions.rb'

module SkIndigo

	# NOTE: The build scripts depends on the exact layout of the following line(s), be careful when changing.
	VERSION = "3.8.25.2" # SkIndigo version
	INDIGO_VERSION_REQUIRED = "3.8.11" # Minimum version of Indigo supported.


	path = File.dirname(__FILE__)
	core = File.join(path, 'skindigo', 'skindigo_core.rb')
	  
	pbExtension = SketchupExtension.new("SkIndigo", core)
	pbExtension.description = "Exporter Plugin for Indigo Renderer"
	pbExtension.version = VERSION
	pbExtension.creator = "Dale Martens (Whaat), and Glare Technologies Limited"
	pbExtension.copyright = "2014, Dale Martens, and Glare Technologies Limited, All rights reserved."
	Sketchup.register_extension(pbExtension, true)

end
